# -*- coding: utf-8 -*-
"""
Évaluer la fonction tabuler().

Appeler la fonction tabuler ()avec les arguments :
  - maFonction
  - bornes inf
  - borne sup (avec borneInf < borneSup)
  - nombre de pas (avec nbPas > 0))
"""

# Import ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
from tabuler_m import maFonction, tabuler

# programme principal =========================================================
inf = float(input("Borne inférieure : "))
sup = float(input("Borne supérieure : "))
while inf >= sup:
    sup = float(input("Borne supérieure > borne inférieure, SVP : "))
n = int(input("Nombre de pas : "))
while n <=0:
    n = int(input("Nombre de pas (positif, SVP) : "))

tabuler(maFonction, inf, sup, n)
